Name: libcap
Version: 1.10
Release: 5
Summary: Library for getting and setting POSIX.1e capabilities
Source: ftp://ftp.kernel.org/pub/linux/libraries/security/libcap/kernel-2.4/%{name}-%{version}.tar.bz2
License: BSD-like and LGPL
Patch: libcap-1.10-ia64.patch
Patch2: libcap-1.10-shared.patch
Group: System Environment/Libraries
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
%{name} is a library for getting and setting POSIX.1e (formerly POSIX 6)
draft 15 capabilities.

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Development files (Headers, libraries for static linking, etc) for %{name}.

%{name} is a library for getting and setting POSIX.1e (formerly POSIX 6)
draft 15 capabilities.

Install %{name}-devel if you want to develop or compile applications using
%{name}.

%prep
%setup
%ifarch ia64 s390 s390x
%patch -p1 -b .ia64
%endif
%patch2 -p1 -b .shared
perl -pi -e "s,^COPTFLAGS=.*,COPTFLAGS=$RPM_OPT_FLAGS,g" Make.Rules
perl -pi -e 's,^man_prefix=.*,man_prefix=\$\(prefix)/share,g' Make.Rules

%build
make prefix=/usr

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=/usr FAKEROOT=$RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_sbindir}/*

%files devel
%defattr(-,root,root)
%{_prefix}/include/*
%{_libdir}/*.so
%{_mandir}/man2/*
%{_mandir}/man3/*

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Mon Jul 16 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Add post,postun scripts

* Tue Jul 10 2001 Jakub Jelinek <jakub@redhat.com>
- don't build libcap.so.1 with ld -shared, but gcc -shared

* Wed Jun 20 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Rebuild - it was missing for alpha

* Wed Jun 06 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add s390/s390x support

* Thu May 17 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.10-1
- initial RPM
- fix build on ia64
